% this script imports JET data (KC1M-T001, H301, T007, T008; S3-AD34, AD35, AD36)
% input parameters
pulnum=77188;
t1=50.80;
t2=51.2;
% import options
import_T001='n';
import_T002='y';
import_P402='n';
import_T007='n';
import_T009='n';
import_T010='n';
import_AD35='n';
import_Hall='n';
import_PP8all='n';
import_PP4all='n';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT T001 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_T001=='y'
% C1M-T001
subsystem='DA';
nwds=64e6;
coil='C1M-T001';
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
s2T1 = sqrt(signal.*signal);
save('s2T1','s2T1','time')
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT T002 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_T002=='y'
% C1M-T002
subsystem='DA';
nwds=64e6;
coil='C1M-T002';
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
s2T2 = sqrt(signal.*signal);
save('s2T2','s2T2','time')
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT P402 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_P402=='y'
% C1M-P402
subsystem='DA';
nwds=64e6;
coil='C1M-P402';
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
s2P44 = sqrt(signal.*signal);
save('s2P44','s2P44')
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT T007 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_T007=='y'
% C1M-T007
subsystem='DA';
nwds=64e6;
coil='C1M-T007';
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
s2T7 = sqrt(signal.*signal);
save('s2T7','s2T7')
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT T009 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_T009=='y'
% C1M-T009
subsystem='DA';
nwds=64e6;
coil='C1M-T009';
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
s2T9 = sqrt(signal.*signal);
save('s2T9','s2T9')
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT H30 series (1 2 3 4 5 6) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_Hall=='y'
% C1M-H30
for i = 1:6
    
I = num2str(i);
subsystem='DA';
nwds=32e6;
coil=['C1M-H30' I];
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
eval(['s2H' I '= sqrt(signal.*signal);']);
save(['s2H' I],['s2H' I])
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT PP80* series (1 2 3 4 5 6) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_PP8all=='y'
% C1M-PP80*
for i = 1:6
    
I = num2str(i);
subsystem='DA';
nwds=32e6;
coil=['C1M-PP80' I ];
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
eval(['s2PP8' I '= sqrt(signal.*signal);']);
save(['s2PP8' I],['s2PP8' I])
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%% IMPORT PP40* series (1 2 3 4 5 6 7) %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if import_PP4all=='y'
% C1M-PP40*
for i = 1:7
    
I = num2str(i);
subsystem='DA';
nwds=32e6;
coil=['C1M-PP40' I ];
sl=length(subsystem);
cl=length(coil);
node(1:sl)=subsystem;
node(sl+1)='/';
node((sl+2):(cl+sl+1))=coil;
filename=num2str(pulnum);
fl=length(filename);
filename((fl+1))='_';
filename((fl+2):(fl+cl+1))=coil;
% import data using the function getdat
[data, tvec, nwds, title, unit, ier, matlabErr, szErr ] = getdat(node, pulnum, nwds);
% cut the signal in the interval [t1,t2]
qaz=find(tvec>=t1);
i1=qaz(1)-1;
qaz=find(tvec>=t2);
i2=qaz(1)+1;
signal=(data(i1:i2));
time=tvec(i1:i2);
% save the new signal and its time vector
eval(['s2PP4' I '= sqrt(signal.*signal);']);
save(['s2PP4' I],['s2PP4' I])
coil
clear data tvec signal time
clear nwds coil subsystem sl cl fl qaz i1 i2
end
end

